[@bigcommerce/checkout-sdk](../README.md) / HostedFormFactory

# Class: HostedFormFactory

## Table of contents

### Constructors

- [constructor](HostedFormFactory.md#constructor)

### Methods

- [create](HostedFormFactory.md#create)

## Constructors

### constructor

• **new HostedFormFactory**(`_store`): [`HostedFormFactory`](HostedFormFactory.md)

#### Parameters

| Name | Type |
| :------ | :------ |
| `_store` | [`ReadableCheckoutStore`](../README.md#readablecheckoutstore) |

#### Returns

[`HostedFormFactory`](HostedFormFactory.md)

## Methods

### create

▸ **create**(`host`, `options`, `checkoutId?`): [`HostedForm`](HostedForm.md)

#### Parameters

| Name | Type |
| :------ | :------ |
| `host` | `string` |
| `options` | [`LegacyHostedFormOptions`](../interfaces/LegacyHostedFormOptions.md) |
| `checkoutId?` | `string` |

#### Returns

[`HostedForm`](HostedForm.md)
